| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Protected Attributes
AAX_CParameterManager Class Reference
AAX SDK Manual » AAX Library features » Parameter Manager

`#include <AAX_CParameterManager.h>`

Collaboration diagram for AAX_CParameterManager:
[legend]

## Description

A container object for plug-in parameters.

This implementation uses a STL vector to store a plug-in's set of parameters. This class contains a real implementation of the Parameter Manager (as opposed to a proxy.)

For more information, see Parameter Manager.

Todo:
  Should the Parameter Manager return error codes?

## Public Member Functions
| AAX_CParameterManager ()
| ~AAX_CParameterManager ()
void | Initialize (AAX_IAutomationDelegate *iAutomationDelegateUnknown)
| Initialize the parameter manager.
int32_t | NumParameters () const
| Returns the number of parameters in this instance of the parameter manager.
void | RemoveParameterByID (AAX_CParamID identifier)
| Removes a parameter from the manager.
void | RemoveAllParameters ()
| Removes all parameters from the manager.
AAX_IParameter * | GetParameterByID (AAX_CParamID identifier)
| Given a parameter ID, retrieves a reference to the requested parameter.
const AAX_IParameter * | GetParameterByID (AAX_CParamID identifier) const
| Given a parameter ID, retrieves a const reference to the requested parameter.
AAX_IParameter * | GetParameterByName (const char *name)
| Given a parameter name, retrieves a reference to the requested parameter.
const AAX_IParameter * | GetParameterByName (const char *name) const
| Given a parameter name, retrieves a const reference to the requested parameter.
AAX_IParameter * | GetParameter (int32_t index)
| Given a parameter index, retrieves a reference to the requested parameter.
const AAX_IParameter * | GetParameter (int32_t index) const
| Given a parameter index, retrieves a const reference to the requested parameter.
int32_t | GetParameterIndex (AAX_CParamID identifier) const
void | AddParameter (AAX_IParameter *param)
void | RemoveParameter (AAX_IParameter *param)

## Protected Attributes
AAX_IAutomationDelegate * | mAutomationDelegate
std::vector< AAX_IParameter * > | mParameters
std::map< std::string, AAX_IParameter * > | mParametersMap

## Constructor & Destructor Documentation

## ◆ AAX_CParameterManager()

AAX_CParameterManager::AAX_CParameterManager | ( |  | ) |

## ◆ ~AAX_CParameterManager()

AAX_CParameterManager::~AAX_CParameterManager | ( |  | ) |

## Member Function Documentation

## ◆ Initialize()

void AAX_CParameterManager::Initialize | ( | AAX_IAutomationDelegate * | iAutomationDelegateUnknown | ) |

Initialize the parameter manager.

Called when plug-in instance is first instantiated. This method will initialize the plug-in's automation delegate, among other set-up tasks.

Parameters

  [in] | iAutomationDelegateUnknown | A reference to the plug-in's AAX_IAutomationDelegate interface

## ◆ NumParameters()

int32_t AAX_CParameterManager::NumParameters | ( |  | ) | const

Returns the number of parameters in this instance of the parameter manager.

## ◆ RemoveParameterByID()

void AAX_CParameterManager::RemoveParameterByID | ( | AAX_CParamID | identifier | ) |

Removes a parameter from the manager.

Todo:
  Should this method return success/failure code?

Parameters

  [in] | identifier | ID of the parameter that will be removed

## ◆ RemoveAllParameters()

void AAX_CParameterManager::RemoveAllParameters | ( |  | ) |

Removes all parameters from the manager.

Todo:
  Should this method return success/failure code?

## ◆ GetParameterByID() [1/2]

AAX_IParameter * AAX_CParameterManager::GetParameterByID | ( | AAX_CParamID | identifier | ) |

Given a parameter ID, retrieves a reference to the requested parameter.

Parameters

  [in] | identifier | ID of the parameter that will be retrieved

Referenced by AAX_CMonolithicParameters::UpdateParameterNormalizedValue().

Here is the caller graph for this function:

## ◆ GetParameterByID() [2/2]

const AAX_IParameter * AAX_CParameterManager::GetParameterByID | ( | AAX_CParamID | identifier | ) | const

Given a parameter ID, retrieves a const reference to the requested parameter.

Parameters

  [in] | identifier | ID of the parameter that will be retrieved

## ◆ GetParameterByName() [1/2]

AAX_IParameter * AAX_CParameterManager::GetParameterByName | ( | const char * | name | ) |

Given a parameter name, retrieves a reference to the requested parameter.

Note
  Parameter names may be ambiguous

Parameters

  [in] | name | Name of the parameter that will be retrieved

## ◆ GetParameterByName() [2/2]

const AAX_IParameter * AAX_CParameterManager::GetParameterByName | ( | const char * | name | ) | const

Given a parameter name, retrieves a const reference to the requested parameter.

Note
  Parameter names may be ambiguous

Parameters

  [in] | name | ID of the parameter that will be retrieved

## ◆ GetParameter() [1/2]

AAX_IParameter * AAX_CParameterManager::GetParameter | ( | int32_t | index | ) |

Given a parameter index, retrieves a reference to the requested parameter.

Parameter indices are incremented in the order that parameters are added to the manager. See AddParameter().

Parameters

  [in] | index | Index of the parameter that will be retrieved

## ◆ GetParameter() [2/2]

const AAX_IParameter * AAX_CParameterManager::GetParameter | ( | int32_t | index | ) | const

Given a parameter index, retrieves a const reference to the requested parameter.

Parameter indices are incremented in the order that parameters are added to the manager. See AddParameter().

Parameters

  [in] | index | Index of the parameter that will be retrieved

## ◆ GetParameterIndex()

int32_t AAX_CParameterManager::GetParameterIndex | ( | AAX_CParamID | identifier | ) | const

Given a parameter ID, retrieves the index for the specified parameter

Parameters

  [in] | identifier | ID of the parameter that will be retrieved

## ◆ AddParameter()

void AAX_CParameterManager::AddParameter | ( | AAX_IParameter * | param | ) |

Adds a parameter to the manager

Todo:
  Should this method return success/failure code?

Parameters

  [in] | param | Reference to the parameter that will be added

## ◆ RemoveParameter()

void AAX_CParameterManager::RemoveParameter | ( | AAX_IParameter * | param | ) |

Removes a parameter to the manager

Todo:
  Should this method return success/failure code?

Parameters

  [in] | param | Reference to the parameter that will be removed

## Member Data Documentation

## ◆ mAutomationDelegate

AAX_IAutomationDelegate* AAX_CParameterManager::mAutomationDelegate
| protected

## ◆ mParameters

std::vector<AAX_IParameter*> AAX_CParameterManager::mParameters
| protected

## ◆ mParametersMap

std::map<std::string, AAX_IParameter*> AAX_CParameterManager::mParametersMap
| protected

The documentation for this class was generated from the following file:

- AAX_CParameterManager.h